// Begin include libraries
#include <BobShield.h> // Custom library for Bob Shield v3
#include <Commands.h>
#include <GPGGA.h>

#include <Flash.h> // Custom library for the NAND Flash
#include <SPI.h> // SPI communications (supporting the NAND-Flash library)
#include <EEPROM.h> // For non-volatile memory on the Arduino (supporting the NAND-Flash library)
// End include libraries

#define BUF_LEN 100 // bytes

Flash* nandFlash; // Pointer to Flash object
BobShield* bobShield; // Pointer to BobShield object

void setup() {
  Serial.begin(115200);
  
  nandFlash = new Flash(true, false); // Flash(enable_write, restart_address_counter)
  bobShield = new BobShield();
  delay(500);
  bobShield->flushBufferSPI();
  delay(500);
  bobShield->dntReset();
  Serial.println("Bob-Main Ready");
}

void loop() {

  int nbytes;
  uint8_t buffer[BUF_LEN];
  while(1)
  {
    nbytes = bobShield->dntReceiveData(buffer, BUF_LEN);
    if (nbytes > 0)
    {
//      Serial.write(buffer,nbytes);
      nandFlash->writeBytes(buffer,nbytes);
    }
  }
}

